[OE-core] [PATCH 1/1] prelink: Uprev prelink to latest version

Mark Hatle mark.hatle at windriver.com
Fri Jun 24 19:10:16 UTC 2011


The latest cross-prelink version tracks the prelink r190 SVN.

Fix two minor issues as well.  If we remove the package, we would
unprelink the filesystem after the rm was finished.  This is
incorrect.. we need to do this prerm.

Also disable the cron configuration file.  This isn't appropriate
for embedded systems, but someone might still find it useful.

Signed-off-by: Mark Hatle <mark.hatle at windriver.com>
---
 meta/recipes-devtools/prelink/prelink_git.bb |   18 +++++++++++++-----
 1 files changed, 13 insertions(+), 5 deletions(-)

diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
index 1eea30a..044cb6b 100644
--- a/meta/recipes-devtools/prelink/prelink_git.bb
+++ b/meta/recipes-devtools/prelink/prelink_git.bb
@@ -8,9 +8,9 @@ and executables, so that far fewer relocations need to be resolved at \
 runtime and thus programs come up faster."
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
-SRCREV = "909470ee441237563d6236c505cb2d02ddc48704"
+SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
 PV = "1.0+git${SRCPV}"
-PR = "r2"
+PR = "r3"
 
 SRC_URI = "git://git.yoctoproject.org/prelink-cross.git;protocol=git \
            file://prelink.conf \
@@ -35,11 +35,15 @@ do_configure_prepend () {
         echo "all:" > ${S}/doc/Makefile.am
 }
 
+# Disabled the cron and cron configuration file, isn't appropriate for
+# embedded systems.  (The script re-prelinks the system daily -- on
+# systems where users are adding applications, this might be reasonable
+# but for embedded, we should be re-running prelink -a after an update.)
 do_install_append () {
 	install -d ${D}${sysconfdir}/cron.daily ${D}${sysconfdir}/default ${D}${sysconfdir}/rpm
 	install -m 0644 ${WORKDIR}/prelink.conf ${D}${sysconfdir}/prelink.conf
-	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
-	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
+#	install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
+#	install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
 	install -m 0644 ${WORKDIR}/macros.prelink ${D}${sysconfdir}/rpm/macros.prelink
 }
 
@@ -53,9 +57,13 @@ fi
 prelink -a
 }
 
-pkg_postrm_prelink() {
+pkg_prerm_prelink() {
 #!/bin/sh
 
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
 prelink -au
 }
 
-- 
1.7.3.4





More information about the Openembedded-core mailing list